Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report.xls
Class ScatterInfo

    java.lang.Object
      jet.report.xls.ChartTypeInfo
          jet.report.xls.ScatterInfo

    public class ScatterInfo

extends ChartTypeInfo

Contains the information of Scatter chart type in the file. The class extends chartTypeInfo

Field Summary
`static short` | `BUBBLES` Specifies that it is a bubble chart.
`static short` | `NORMAL` Specifies that it is a scatter chart.
`static short` | `SHOWNEGBUBBLES` Specifies that it is bubble chart and the data points with negative values in the chart group are shown on the chart.

Fields inherited from class jet.report.xls.ChartTypeInfo
`AREA, BAR, BAR_AREA, BAR_LINE, BOPPOP, COLUMN, CONE, CYLINDER, DROPBAR, LINE, LINE_LINE, PIE, PYRAMID, RADAR, SCATTER, SHOWBUBBLESIZE, SHOWLABEL, SHOWLABPER, SHOWNONE, SHOWPERCENT, SHOWVALUE, STOCK, SURFACE`

Constructor Summary
`ScatterInfo(short dataLabel, boolean is3D, Info3D info3D, short style)` Constructs class ScatterInfo and sets its fields appropriately.

Method Summary
`void` | `addSeries(Series2VInfo seriesInfo)` Adds a Series2VInfo into the ArrayList series for normal scatter chart.
`void` | `addSeries(Series3VInfo seriesInfo)` Adds a Series3VInfo into the ArrayList series for bubbles chart.
`void` | `addSeries(SeriesInfo info)` If you add a SeriesInfo into the ArrayList series, JReport will return an exception information.
`short` | `getBubbleRatio()` Gets the percent of the largest bubble compared to chart in general.
`short` | `getBubbleSize()` Gets bubble size: 1=bubble size is area, 2=bubble size is width.
`int` | `getChartType()` Gets the type of the chart.
`short` | `getStyle()` Gets the style of the scatter chart.
`boolean` | `hasLine()` Gets whether the data point of scatter is connected by line or not.
`boolean` | `hasShadow()` Gets whether this bubble has a shadow or not.
`void` | `insertSeries(int index, Series2VInfo info)` Inserts a Series2VInfo into the ArrayList series for normal scatter chart.
`void` | `insertSeries(int index, Series3VInfo info)` Inserts a Series3VInfo into the ArrayList series for bubbles chart.
`void` | `insertSerires(int index, SeriesInfo info)` If you insert a SeriesInfo into the ArrayList series, JReport will return an exception information.
`boolean` | `isSmoothLine()` Gets whether it is smooth line or not.
`void` | `setBubbleRatio(short bubbleRatio)` Sets the percent of the largest bubble compared to chart in general.
`void` | `setBubbleSize(short bubbleSize)` Sets bubble size: 1=bubble size is area, 2=bubble size is width.
`void` | `setHasLine(boolean hasLine)` Sets whether the data point of scatter is connected by line or not.
`void` | `setHasShadow(boolean b)` Sets whether this bubble has a shadow or not.
`void` | `setSmoothLine(boolean isSmoothLine)` Sets whether it is smooth line or not.
`void` | `setStyle(short style)` Sets the style of the scatter chart.

Methods inherited from class jet.report.xls.ChartTypeInfo
`getCatName, getCatNameRef, getDataLabel, getInfo3D, getIs3D, getSeries, getSeriesSize, insertSeries, removeSeries, replace, setCatName, setCatNameRef, setCatNameRef, setDataLabel, setInfo3D, setIs3D, setIsPercentDataLabel, setIsShowY2, setIsShowYAxis`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final short NORMAL

  Specifies that it is a scatter chart.

  See Also:
    Constant Field Values

### BUBBLES

    public static final short BUBBLES

  Specifies that it is a bubble chart.

  See Also:
    Constant Field Values

### SHOWNEGBUBBLES

    public static final short SHOWNEGBUBBLES

  Specifies that it is bubble chart and the data points with negative values in the chart group are shown on the chart.

  See Also:
    Constant Field Values

Constructor Detail

### ScatterInfo

    public ScatterInfo(short dataLabel,
                       boolean is3D,
                       Info3D info3D,
                       short style)

  Constructs class ScatterInfo and sets its fields appropriately.

  Parameters:
    `dataLabel` - type of the data label, `ChartTypeInfo.SHOWNONE` for none, `ChartTypeInfo.SHOWVALUE` for value, `ChartTypeInfo.SHOWLABEL` for showing label, `ChartTypeInfo.SHOWBUBBLESIZE` for showing bubble size.
    `is3D` - whether the chart is 3D chart or not
    `info3D` - the 3D chart info
    `style` - style of scatter chart, can be either NORMAL, BUBBLES or SHOWNEGBUBBLES
  See Also:
    `NORMAL`, `BUBBLES`, `SHOWNEGBUBBLES`

Method Detail

### getChartType

    public int getChartType()

  Gets the type of the chart.

  Specified by:
    `getChartType` in class `ChartTypeInfo`
  Returns:
    type of the chart

### getBubbleRatio

    public short getBubbleRatio()

  Gets the percent of the largest bubble compared to chart in general.

  Returns:
    percent of the largest bubble compared to chart in general

### setBubbleRatio

    public void setBubbleRatio(short bubbleRatio)

  Sets the percent of the largest bubble compared to chart in general.

  Parameters:
    `bubbleRatio` - percent of the largest bubble compared to chart in general

### getBubbleSize

    public short getBubbleSize()

  Gets bubble size: 1=bubble size is area, 2=bubble size is width.

  Returns:
    bubble size: 1=bubble size is area, 2=bubble size is width

### setBubbleSize

    public void setBubbleSize(short bubbleSize)

  Sets bubble size: 1=bubble size is area, 2=bubble size is width.

  Parameters:
    `bubbleSize` - bubble size: 1=bubble size is area, 2=bubble size is width

### getStyle

    public short getStyle()

  Gets the style of the scatter chart.

  Specified by:
    `getStyle` in class `ChartTypeInfo`
  Returns:
    style of the scatter chart
  See Also:
    `NORMAL`, `BUBBLES`, `SHOWNEGBUBBLES`

### setStyle

    public void setStyle(short style)

  Sets the style of the scatter chart.

  Parameters:
    `style` - style of the scatter chart
  See Also:
    `NORMAL`, `BUBBLES`, `SHOWNEGBUBBLES`

### isSmoothLine

    public boolean isSmoothLine()

  Gets whether it is smooth line or not.

  Returns:
    whether it is smooth line or not

### setSmoothLine

    public void setSmoothLine(boolean isSmoothLine)

  Sets whether it is smooth line or not.

  Parameters:
    `isSmoothLine` - whether it is smooth line or not

### hasLine

    public boolean hasLine()

  Gets whether the data point of scatter is connected by line or not.

  Returns:
    has line or not

### setHasLine

    public void setHasLine(boolean hasLine)

  Sets whether the data point of scatter is connected by line or not.

  Parameters:
    `hasLine` - has line or not

### addSeries

    public void addSeries(Series2VInfo seriesInfo)

  Adds a Series2VInfo into the ArrayList series for normal scatter chart.

  Parameters:
    `seriesInfo` - the Series2VInfo to be added

### addSeries

    public void addSeries(Series3VInfo seriesInfo)

  Adds a Series3VInfo into the ArrayList series for bubbles chart.

  Parameters:
    `seriesInfo` - the Series3VInfo to be added

### addSeries

    public void addSeries(SeriesInfo info)

  If you add a SeriesInfo into the ArrayList series, JReport will return an exception information. The scatter chart only supports inputting Series2VInfo value. you should use addSeries(Series2VInfo seriesInfo).

  Overrides:
    `addSeries` in class `ChartTypeInfo`
  Parameters:
    `info` - the SeriesInfo to be added

### insertSeries

    public void insertSeries(int index,
                             Series2VInfo info)

  Inserts a Series2VInfo into the ArrayList series for normal scatter chart.

  Parameters:
    `info` - the SeriesInfo to be inserted
    `index` - The index of the seriesInfo to be inserted into the Arraylist.

### insertSeries

    public void insertSeries(int index,
                             Series3VInfo info)

  Inserts a Series3VInfo into the ArrayList series for bubbles chart.

  Parameters:
    `info` - the Series3VInfo to be inserted
    `index` - The index of the seriesInfo to be inserted into the Arraylist.

### insertSerires

    public void insertSerires(int index,
                              SeriesInfo info)

  If you insert a SeriesInfo into the ArrayList series, JReport will return an exception information.

  Parameters:
    `info` - the SeriesInfo to be added

### hasShadow

    public boolean hasShadow()

  Gets whether this bubble has a shadow or not.

  Specified by:
    `hasShadow` in class `ChartTypeInfo`
  Returns:
    whether this bubble has a shadow or not

### setHasShadow

    public void setHasShadow(boolean b)

  Sets whether this bubble has a shadow or not. If the chart is 3D chart, it can not set shadow.

  Parameters:
    `b` - - whether this bubble has a shadow or not

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD